
/***************************************
* STORED stp_SAO_getBySearch
*
* effettua ricerca nello Storico Azioni Operatore
* Steamware, S.E.L.
* mod: 2012.09.25
*
****************************************/
create PROCEDURE stp_SAO_getBySearch
(
	@DataOraFrom	DATETIME,
	@DataOraTo		DATETIME,
	@CodSoggetto	NVARCHAR(17)='*',
	@codPostazione	NVARCHAR(250)='*',
	@UDC			NVARCHAR(50),
	@Particolare	NVARCHAR(15),
	@codAzione		NVARCHAR(10)='*'
)
AS
	SELECT	*
	FROM	StoricoAzioniOperatore
	WHERE	DataOra BETWEEN @DataOraFrom AND @DataOraTo
	AND		codPostazione = CASE WHEN ISNULL(@codPostazione,'*') = '*' THEN codPostazione ELSE @codPostazione END -- NON VA!!!
	AND		CodSoggetto = CASE WHEN ISNULL(@CodSoggetto,'*') = '*' THEN CodSoggetto ELSE @CodSoggetto END
	AND		codAzione = CASE WHEN ISNULL(@codAzione,'*') = '*' THEN codAzione ELSE @codAzione END
	AND		UDC = CASE WHEN ISNULL(@UDC,'*') = '*' THEN UDC ELSE @UDC END
	AND		Particolare = CASE WHEN ISNULL(@Particolare,'*') = '*' THEN Particolare ELSE @Particolare END
	ORDER BY idxEvento DESC

RETURN

